html, body {
    font-family: "Gilroy";
    padding: 0;
    margin: 0;
    border: 0;
    box-sizing: border-box;
}

body {
    background: linear-gradient(114.81deg, #4084E7 15.49%, #86B7FE 62.12%, #5D90DA 107.94%),
    linear-gradient(0deg, #FFFFFF, #FFFFFF), #F3F3F3;
    color: #fff;
    position: relative;
    min-height: 100vh;
}

body:before {
    content: '';
    position: fixed;
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
    pointer-events: none;
    background: url("../img/background.svg") no-repeat 0 0;
    background-size: 100%;
    transition: filter ease 1s;
}

body.scrolled:before {
    filter: blur(10px)
}

#logo {
    display: flex;
    align-items: center;
    gap: 10px;
}

header {
    margin: 0;
    background: none;
    border: 0;
    position: relative;
    height: 80px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 50px;
}

header ul {
    display: flex;
    list-style: none;
    padding: 0;
    gap: 1rem;
    width: 730px;
    justify-content: center;
    margin: 0;
}

header ul li a {
    color: #fff;
    text-decoration: none;
    font-size: 18px;
    font-weight: 400;
    border-bottom: 1px solid transparent;
    display: block;
    position: relative;
}

header ul li a:before {
    content: '';
    height: 1px;
    background-color: #fff;
    left: 50%;
    right: 50%;
    bottom: 0;
    position: absolute;
    transition: left ease .3s, right ease .3s;
}

header ul li.active a:before,
header ul li a:hover:before {
    left: 0;
    right: 0;
}

.screen {
    margin: 0 auto;
    max-width: 730px;
}

.screen-first {
    display: flex;
    flex-direction: column;
    gap: 2em;
    margin-top: 5rem;
    margin-bottom: 5rem;
}

.screen-first > div {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    align-items: center;
    margin: 0 6em;
    gap: 2rem;
}

.screen-first--rating {
    background-color: #2A68C24C;
    height: 46px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 1em;
    border-radius: 23px;
    gap: .5rem;
    font-size: 18px;
    line-height: 22px;
    white-space: nowrap;
    font-weight: 500;
}

.screen-first--rating svg {
    fill: #fff;
}

.screen-first--avatar {
    width: 170px;
    height: 170px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 96px;
    font-weight: 600;
    text-align: center;
    border: 8px solid #A0C4F7;
    border-radius: 100%;
    overflow: hidden;
}

.screen-first--achievements {
    display: flex;
    gap: .5rem;
    align-items: center;
}

.screen-first--achievements > * {
    width: 46px;
    height: 46px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 100%;
}

.screen-first--achievements > *:nth-child(1) {
    background-color: #4ED9D964;
    border: 3px solid #7BFFFF;
}

.screen-first--achievements > *:nth-child(1):hover {
    background-color: #4ED9D9AA;
}

.screen-first--achievements > *:nth-child(2) {
    background-color: #D9CB4E64;
    border: 3px solid #FFFA7B;
}

.screen-first--achievements > *:nth-child(2):hover {
    background-color: #D9CB4EAA;
}

.screen-first--avatar div {
    width: 100%;
    height: 100%;
    line-height: 154px;
    background-size: cover;
}

.screen-first--achievements {
    display: flex;
    gap: 1rem;
}

.screen-first > p {
    text-align: center;
    font-size: 24px;
}

.screen-first > p small {
    font-size: 82px;
    font-weight: bold;
    display: block;
}

.request-wrapper {
    position: sticky;
    top: 1em;
    text-align: center;
    z-index: 11;
}

.request {
    background: #ffffffcc;
    border-radius: 23px;
    padding: 0 2rem;
    color: #1c1c1c;
    margin: 0 auto;
    display: inline-flex;
    justify-content: center;
    transition: border-radius ease .5s, width ease .5s .5s, height ease .5s .5s;
    width: 200px;
    height: 40px;
    position: relative;
    font-weight: 500;
    overflow: hidden;
}

.request.active {
    border-radius: 38px;
    padding: 0 1rem;
    box-shadow: 0px -1px 2px rgba(0, 0, 0, 0.02), 0px 10px 48px rgba(0, 0, 0, 0.14);
    transition: border-radius ease .5s, width ease .5s, height ease .5s;
    -webkit-backdrop-filter: blur(12px);
    backdrop-filter: blur(12px);
    width: 900px;
    height: 92px;
}

.request-scroll {
    display: flex;
    align-items: center;
    gap: .5rem;
    text-align: center;
    justify-content: center;
    opacity: 1;
    position: relative;
    transition: opacity ease .25s .5s;
}

.request-panel {
    display: flex;
    gap: 1rem;
    align-items: center;
    opacity: 0;
    position: absolute;
    top: 1em;
    left: 1em;
    right: 1em;
    bottom: 1em;
    width: auto;
    transition: opacity ease .5s;
}

.request.active .request-scroll {
    opacity: 0;
    position: absolute;
    top: 50%;
    margin-top: -12px;
    transition: opacity ease .5s;
}

.request.active .request-panel {
    opacity: 1;
    position: static;
    transition: opacity ease .25s .5s;
    width: 100%;
}

.request-panel--avatar {
    min-width: 54px;
    width: 54px;
    height: 54px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 12px;
    filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
    background: #fff;
    overflow: hidden;
}

.request-panel--avatar div {
    width: 100%;
    height: 100%;
    background-size: cover;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 28px;
    font-weight: 500;
    color: #448BE2;
}

.request-panel h1 {
    font-weight: 600;
    font-size: 24px;
    line-height: 29px;
    color: #1C1C1C;
    white-space: nowrap;
}

.request-panel p {
    color: #66768C;
    font-size: 15px;
    margin: 0;
    white-space: nowrap;
}

.request-panel--name {
    text-align: left;
}

.request-panel--name span + span {
    display: none;
}

.request-panel--button {
    flex: 1;
    display: flex;
    justify-content: end;
}

.request-panel--button button span + span {
    display: none;
}

h2 {
    font-style: normal;
    font-weight: 700;
    font-size: 28px;
    line-height: 34px;
    color: #FFFFFF;
    padding-left: .5rem;
}

.screen-subjects {
    margin-top: 5em;
}

.text {
    color: #1c1c1c;
    font-size: 18px;
    border-radius: 30px;
    font-weight: normal;
    padding: 10px;
    background-color: #2A68C24C;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.text > div {
    background: #fff;
    padding: 30px 20px 30px 30px;
    border-radius: 22px;
    font-size: 18px;
    font-weight: 500;
}

.screen-article {
    margin: 0 0 1em;
    position: relative;
    width: 730px;
}

.screen-article--index {
    margin: 0 auto 5em;
}

.screen-article .text > div {
    font-size: 16px;
}

.screen-article .text h1,
.screen-article .text h2,
.screen-article .text h3,
.screen-article .text h4,
.screen-article .text h5,
.screen-article .text h6 {
    color: #1c1c1c;
    padding-left: 0;
}

.screen-article .text h1 {
    font-size: 24px;
    font-weight: 600;
    outline: none;
}

.screen-article .text h2 {
    font-size: 22px;
    font-weight: 600;
}

.screen-article .text h3 {
    font-size: 20px;
    font-weight: 600;
}

.screen-article .text h4 {
    font-size: 18px;
    font-weight: 600;
}

.screen-article .text h5 {
    font-size: 18px;
    font-weight: 500;
}

.screen-article .text h6 {
    font-size: 16px;
    font-weight: 500;
}

.article-stats {
    display: flex;
    align-items: baseline;
    justify-content: space-between;
    margin: 1em 0 0;
}

.article-stats > div {
    display: flex;
    gap: 5px;
    align-items: baseline;
}

.article-stats button {
    border: 0;
    outline: none;
    background: #F3F3F3;
    display: flex;
    align-items: center;
    gap: 5px;
    border-radius: 20px;
    height: 32px;
    padding: 0 12px;
    font-size: 14px;
    font-weight: 500;
    color: #1c1c1c;
}

.article-stats button svg {
    stroke: #1c1c1c;
}

.article-stats button.transparent {
    background: transparent;
    padding: 0;
}

.article-stats button.active {
    background: #FFEBEC;
    color: #F9545B;
}

.article-stats button.active svg {
    stroke: #F9545B;
    fill: #F9545B;
}

.text > div br + br:last-of-type {
    display: none;
}

div.cdx-input.image-tool__caption {
    visibility: hidden;
    margin-top: -46px;
}

.text--gray > div {
    background-color: #F3F3F3;
}

.text--white,
.text--white > div {
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
    padding-bottom: 0;
}

.text--gray,
.text--gray > div {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    padding-top: 0;
}

.text--white > div {
    padding-bottom: 1rem;
}

.text--gray > div {
    padding-top: 1rem;
}

.text br {
    margin-bottom: .5rem;
}

.text-title {
    display: flex;
    gap: .5rem;
    align-items: center;
    margin: 0 0 1em;
}

.text-title h3 {
    font-size: 20px;
    color: #1c1c1c;
    margin: 0;
}

.text-article img:not(.image-tool__image-picture) {
    max-width: 100%;
    border-radius: 3px;
    margin: 0 0 1em;
    display: block;
}

.text-article a {
    color: #2E8CFF;
    text-decoration: none;
    border-bottom: 1px solid;
}

.text-article a:hover {
    color: #448BE2;
}

.text:not(.text-article) ul {
    padding: 0;
    margin: 0;
    list-style: none;
    display: flex;
    gap: .5rem;
    flex-wrap: wrap;
}

.text:not(.text-article) ul li {
    background-color: #f3f3f3;
    border-radius: 8px;
    color: #888;
    font-size: 15px;
    height: 39px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 .5rem;
}

.text-list-title {
    font-weight: 600;
    font-size: 18px;
    line-height: normal;
    margin-bottom: 12px;
}

.text-list-items {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    margin-bottom: 22px;
}

.text-list-items > span {

    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 0 12px;
    height: 40px;
    gap: 10px;

    background: #FFFFFF;
    box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.08), 0px 3px 6px rgba(0, 0, 0, 0.06);
    border-radius: 8px;

    font-size: 15px;
    line-height: normal;
    font-weight: 500;

}

.text-list-items > span svg {
    height: 24px;
}

.text-list-items:last-of-type {
    margin-bottom: 12px;
}

.btn {
    background-color: #2E8CFF;
    --bs-btn-disabled-bg: #2E8CFF;
    color: #fff;
    --bs-btn-disabled-color: #fff;
    border-radius: 12px;
    height: 38px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 1rem;
    white-space: nowrap;
    font-size: 14px;
    font-weight: 500;
    border: 0;
}

.btn:hover,
.btn:active,
.btn:focus,
.btn:first-child:hover,
.btn:first-child:active,
.btn:first-child:focus,
.btn-check:checked + .btn,
:not(.btn-check) + .btn:active,
.btn:first-child:active,
.btn.active,
.btn.show {
    color: #fff;
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.1)), #448BE2;
    border-color: transparent;
}

.btn.btn-white {
    background: #fff;
    color: #2E8CFF;
}

.screen-about {
    margin-bottom: 5em;
    margin-top: 5em;
}

.screen-board {
    margin-bottom: 5em;
    margin-top: 5em;
}

.text > div.site-board {
    padding: 0;
    position: relative;
}

.text > div.transparent {
    background-color: transparent;
    color: #fff;
    font-size: 18px;
    font-weight: normal;
    padding: 1rem 10px;
}

.features {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 10px;
    margin: 0 0 1em;
}

.features > div {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding: 1rem;
    background-color: #2A68C266;
    border-radius: 12px;
    font-size: 14px;
}

.btn-transparent {
    border-radius: 12px;
    padding: 1rem;
    background-color: #2A68C266;
    color: #fff;
    text-align: center;
    display: block;
    text-decoration: none;
    font-size: 14px;
}

.btn-transparent:disabled,
.btn-transparent.disabled {
    opacity: .5;
}

.btn-transparent:hover {
    background-color: #2A68C299;
}

.screen-reviews {
    margin-bottom: 5em;
}

.screen-reviews h3 {
    font-weight: 700;
    font-size: 22px;
    color: #1C1C1C;
    margin-bottom: .5rem;
}

.screen-reviews span {
    font-weight: 500;
    font-size: 14px;
    color: #1C1C1C;
    display: block;
    margin-bottom: 1em;
}

.screen-reviews p {
    font-weight: 500;
    font-size: 16px;
    line-height: 150%;
    color: #1C1C1C;
    margin: 0;
}

.screen-reviews .stars {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 33px;
    background: rgba(232, 163, 29, 0.2);
    border-radius: 8px;
    font-weight: 600;
    font-size: 13px;
    color: #996B12;
    padding: 0 10px;
    gap: 5px;
    white-space: nowrap;
}

.screen-reviews .stars svg {
    fill: #996B12;
    width: 13px;
}

.screen-reviews .screen-first--rating {
    font-size: 14px;
    line-height: 20px;
}

.hidden-empty:empty {
    display: none;
}

.site-board {
    transition: opacity 1s ease;
}

.site-board .header-board {
    display: flex;
    align-items: center;
    gap: 10px;
    justify-content: space-between;
    background: transparent;
    border: 0;
    height: 60px;
    padding: 10px 30px;
    position: absolute;
    pointer-events: none;
    left: 0;
    top: 0;
    right: 0;
}

.back-link {
    font-weight: 500;
    font-size: 14px;
    display: inline-flex;
    gap: 10px;
    align-items: center;
    opacity: .75;
    pointer-events: all;
    white-space: nowrap;
    text-decoration: none;
}

.back-link svg {
    stroke: #000;
}

.back-link span {
    color: #000;
}

.back-link:hover {
    opacity: 1;
}

.board-name-input {
    color: #000;
    background-color: transparent;
    font-size: 14px;
    white-space: nowrap;
    overflow: hidden;
    font-weight: 500;
    opacity: .75;
    pointer-events: all;
}

.board-name-input br {
    display: none;
}

.board-name-input * {
    display: inline;
    white-space: nowrap;
}

.board-name-icon {
    position: relative;
    top: 1px;
    pointer-events: all;
}

.board-name-icon svg {
    fill: #3E79C1;
}

.btn-svg {
    border: 0;
    background: transparent;
    outline: none;
    display: block;
    padding: 3px 5px;
    line-height: 0;
}

.edit-board-name-button {
    pointer-events: all;
}

.edit-board-name-button svg {
    stroke: #000;
    opacity: .75;
}

.edit-board-name-button:hover svg {
    opacity: 1;
}

.hamburger {
    display: flex;
    align-content: center;
    justify-content: center;
    gap: 2em;
    pointer-events: all;
}

.button-transparent {
    border: 0;
    outline: none;
    background: transparent;
    display: block;
    opacity: .5;
}

.button-transparent svg {
    display: flex;
    align-items: center;
    justify-content: center;
    stroke: #000;
}

.button-transparent:hover {
    opacity: 1;
}

.profile-button {
    position: relative;
    z-index: 2;
    background: #52C4E8;
    border-radius: 100%;
    overflow: hidden;
    border: 1px solid #EBEBEB;
    padding: 0;
}

.profile-button i {
    transition: transform .5s ease;
}

.profile-button.active i {
    transform: rotate(180deg);
}

.profile-button-photo {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    width: 38px;
    height: 38px;
    background-size: cover;
    background-position: 50%;
    background-repeat: no-repeat;
    color: #fff;
    font-size: 16px;
    line-height: 36px;
    font-weight: 700;
}

.button-dropdown {
    position: relative;
    display: flex;
    align-items: center;
}

.site-board > svg {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    top: 0;
}

.new-modal {
    color: #1c1c1c;
}

.new-modal--gallery .modal-body {
    padding: 0;
}

.new-modal--gallery .gallery {
    padding: 1rem;
}

.new-modal .modal-dialog:not(.modal-xl) {
    max-width: 400px;
}

.new-modal .modal-dialog.modal-lg {
    max-width: 600px;
}

.new-modal .modal-dialog.modal-fullscreen {
    max-width: none;
}

.new-modal .modal-header {
    position: absolute;
    right: 0;
    top: 0;
    border: 0;
    display: block;
    padding: 0;
    z-index: 1;
}

.new-modal .modal-dialog.modal-fullscreen .modal-header {
    top: 12px;
    right: 2px;
    z-index: 5;
}

.new-modal .modal-header .btn-close {
    background: transparent url("../img/modal-close.svg") no-repeat 50%;
    outline: none;
    width: 12px;
    height: 12px;
    position: relative;
    display: block;
    margin: 0;
    padding: 1rem;
    box-shadow: none;
}

.new-modal-title {
    font-size: 18px;
    font-weight: 600;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    padding-right: 25px;
}

.new-modal-title.new-modal-title--small {
    font-size: 16px;
}

.new-modal-title svg {
    margin-right: 5px;
}

.new-modal-message {
    font-size: 14px;
    line-height: 19px;
    font-weight: 500;
}

.document-item {
    display: flex;
    gap: 1.5rem;
    margin: 0 0 1.5em;
    color: #1c1c1c;
    border-bottom: 1px solid #EFEFEF;
    padding-bottom: 1rem;
}

.document-item:last-of-type {
    margin: 0;
    border: 0;
    padding-bottom: .5rem;
}

.document-item img {
    width: 100%;
    border-radius: 6px;
    border: 1px solid #ddd;
}

.document-item-image {
    width: 100px;
    text-align: center;
}

.document-item-image a {
    font-style: normal;
    font-weight: 500;
    font-size: 12px;
    line-height: 14px;
    color: #3E79C1;
    margin: 0 0 .25rem;
    text-decoration: none;
}

.document-item-name {
    font-size: 16px;
    font-weight: 600;
    margin: 0 0 .25rem;
}

.document-item-description {
    font-size: 14px;
    font-weight: 500;
    margin: 0 0 .25rem;
}

.document-item-dates {
    font-size: 14px;
    font-weight: 500;
    color: #8C8C8C;
    margin: 0;
}

.tippy-box {
    background: #ffffffcc;
    border-radius: 8px;
    color: #1c1c1c;
    text-align: center;
    font-weight: 500;
}

.tippy-content {
    padding: 1rem;
}

.tippy-arrow {
    color: #ffffffcc;
    top: 100%;
    margin-top: -15px;
}

.certificates-title {
    display: flex;
    align-items: center;
    gap: 1rem;
}

.certificates-title span {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    width: 34px;
    height: 34px;
    background: rgba(46, 140, 255, 0.12);
    border-radius: 8px;
    flex: none;
    order: 0;
    flex-grow: 0;
}

.certificates-title svg {
    fill: #2E8CFF;
    width: 16px;
    margin: 0;
}

.lg-backdrop.in {
    opacity: 0;
}

.lg-outer {
    z-index: 1055;
}

.form-label {
    font-weight: 500;
    font-size: 14px;
}

textarea::placeholder {
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 138%;
    color: #7D7C78;
}

.form-select {
    font-weight: 500;
    font-size: 14px;
    line-height: 44px;
    padding: 0 1em;
}

.form-control {
    font-weight: 500;
    font-size: 14px;
}

input.form-control {
    padding: 0 1em;
    line-height: 44px;
}

.fslightbox-container {
    /*background: transparent !important;*/
}

.teacher-chat {
    min-height: 565px;
    margin: 40px 0 0;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.teacher-chat--photo {
    width: 90px;
    height: 90px;
    position: absolute;
    top: -40px;
    left: 50%;
    margin-left: -40px;
    border-radius: 100%;
    overflow: hidden;
    border: 8px solid #ffffff80;
    background-color: #fff;
}

.teacher-chat--photo > div {
    width: 100%;
    height: 100%;
    background-size: cover;
}

.teacher-chat--title {
    font-size: 22px;
    font-weight: 600;
    color: #1c1c1c;
    text-align: center;
    margin: 40px 0 20px;
}

.teacher-chat--label {
    font-size: 13px;
    color: #888888;
    font-weight: 500;
    background-color: #f3f3f3;
    border-radius: 6px;
    padding: .25rem .5rem;
    display: inline-block;
}

.teacher-chat--messages {
    margin: 0 0 .5rem;
}

.teacher-chat--messages > div {
    background-color: #f6f6f6;
    padding: .5rem 45px .5rem .75rem;
    position: relative;
    border-radius: 14px 14px 14px 0;
    display: inline-block;
    margin: 0 0 .5em;
    text-align: left;
}

.teacher-chat--messages > div:last-of-type {
    margin: 0;
}

.teacher-chat--messages > div p {
    font-size: 14px;
    font-weight: 500;
    color: #21201F;
    margin: 0;
}

.teacher-chat--messages > div span {
    position: absolute;
    right: .5rem;
    bottom: .5rem;
    font-size: 12px;
    color: #757575;
}

.teacher-chat--messages.me {
    text-align: right;
}

.teacher-chat--messages.me > div {
    background-color: #E3EFFF;
    border-radius: 14px 14px 0 14px;
}

.teacher-chat--messages > div input,
.teacher-chat--messages > div select,
.teacher-chat--messages > div textarea {
    background: #F6FAFF;
    border: 1px solid #D5E3F5;
    border-radius: 6px;
    padding: 6px 12px;
    outline: none;
    font-size: 13px;
    margin: .5rem 0 .5rem;
}

.teacher-chat--messages > div :last-child {
    margin-bottom: 0;
}

.teacher-chat--messages > div textarea {
    width: 100%;
    resize: none;
}

.teacher-chat--messages > div input::placeholder {
    color: #798CA3;
}

.teacher-chat--disclaimer {
    color: #868C9F;
    font-size: 12px;
    font-weight: 500;
    background-color: #F6F7FA;
    padding: .75rem 1rem;
    border-radius: 12px;
}

.teacher-chat--btn {
    gap: 1em;
    font-size: 14px;
    height: 100%;
}

.teacher-chat-submit {
    display: flex;
    gap: .5em;
}

.new-modal--request .modal-content {
    border-radius: 38px;
}

.new-modal.new-modal--request .modal-header {
    right: 5px;
    top: 5px;
}

.new-modal.new-modal--request .modal-body {
    padding: 1.5em 1em;
}

.chat-button {
    position: absolute;
    right: 0;
    top: 75px;
    box-shadow: 0px -1px 2px rgba(0, 0, 0, 0.02), 0px -2px 28px rgba(0, 0, 0, 0.07);
    border: 1px solid rgba(0, 0, 0, 0.08);
    border-right: 0;
    color: #3F51B5;
    background: #fff;
    outline: none;
    cursor: pointer;
    border-radius: 10px 0 0 10px;
    height: 48px;
    width: 48px;
    transition: right ease .5s;
    z-index: 10;
    display: flex;
    padding: 10px;
    gap: 10px;
    align-items: center;
}

#chat-new {
    position: absolute;
    right: 40px;
    top: -6px;
    background: #0073FF;
    border-radius: 4px;
    color: #fff;
    font-size: 10px;
    min-width: 14px;
    height: 14px;
    display: flex;
    align-items: baseline;
    justify-content: center;
    padding: 0 4px;
}

.chat-users {
    position: absolute;
    top: 50%;
    margin-top: -46px;
    right: 0;
    padding: 0;
    z-index: 9;
    border: 1px solid rgba(0, 0, 0, 0.08);
    box-shadow: 0px -1px 2px rgba(0, 0, 0, 0.02), 0px -2px 28px rgba(0, 0, 0, 0.07);
    border-radius: 10px 0px 0px 10px;
    border-right: 0;
    background: #fff;
    transition: right ease .5s;
}

.chat-users > div {
    overflow: auto;
    max-height: 210px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 8px;
    width: 48px;
}

.chat-user {
    width: 32px;
    position: relative;
    cursor: pointer;
}

.chat-user-photo {
    text-align: center;
    width: 32px;
    height: 32px;
    border-radius: 100%;
    background-size: cover;
    background-position: 50%;
    background-repeat: no-repeat;
    background-color: #52C4E8;
    color: #fff;
    font-size: 16px;
    font-weight: 700;
    line-height: 38px;
    transition: box-shadow ease .25s;
    display: flex;
    align-items: center;
    justify-content: center;
}

.chat-user span {
    font-size: 12px;
    line-height: 12px;
    display: block;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    color: #333;
}

.chat-user.online:before {
    content: "";
    position: absolute;
    right: 0;
    width: 10px;
    height: 10px;
    background: #44ff44;
    border-radius: 10px;
    border: 2px solid #fff;
}

.audio-users {
    position: absolute;
    right: 10px;
    bottom: 15px;
    width: auto;
    z-index: 3;
    padding: 0 5px 0 10px;
    overflow: hidden auto;
    max-height: 300px;
    flex: 1 0 auto;
}

.audio-users > div {
    display: grid;
    grid-template-columns: auto auto;
    gap: 5px;
    margin: 0 0 5px;
}

.audio-user:nth-child(2n-1):last-child {
    grid-column: 2;
}

.audio-user {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    position: relative;
    padding: 0 5px 0 0;
    /*background-image: url("../img/wait.svg");*/
    background-size: 90px;
    background-repeat: no-repeat;
    background-position: 50%;
    background-color: #000;
    width: 64px;
    height: 64px;
    justify-content: center;
    max-height: 64px;
    overflow: hidden;
}

.audio-user video {
    background: #000;
    position: absolute;
    left: -26px;
    right: 0;
    top: -15px;
    bottom: 0;
    height: 93px;
}

.level-bar {
    min-width: 5px;
    width: 5px;
    max-width: 5px;
    display: flex;
    flex-direction: column-reverse;
    overflow: hidden;
    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;
    background: #fff;
    z-index: 1;
}

.level-bar :first-of-type {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: gray;
}

.level-bar :not(:first-of-type) {
    mix-blend-mode: overlay;
    height: 100%;
    background-image: linear-gradient(#F44336, #FFEB3B, #4CAF50);
}

.audio-user-image {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #000;
    display: flex;
    align-items: center;
    justify-content: center;
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: 50%;
    z-index: 1;
}

.level-bar :first-of-type {
    transition: height ease .1s;
}

.blog {
    display: flex;
    justify-content: center;
    gap: 50px;
}

.blog aside {
    width: 280px;
    position: relative;
}

.blog aside > div {
    position: sticky;
    top: 15px;
}

.blog aside > div > div {
    background: rgba(255, 255, 255, 0.86);
    border-radius: 22px;
    padding: 12px;
    margin: 0 0 1em;
}

.blog-user {
    display: flex;
    gap: 12px;
    flex-direction: column;
}

.blog-user > div {
    display: flex;
    gap: 12px;
    align-items: center;
}

.blog-user > div > div:first-child {
    width: 54px;
    max-width: 54px;
    min-width: 54px;
    height: 54px;
    min-height: 54px;
    max-height: 54px;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 21px;
    font-weight: 500;
    border-radius: 12px;
    overflow: hidden;
    color: #2E8CFF;
    background-color: #fff;
}

.blog-user > div > div:first-child.image {
    color: transparent;
    font-size: 0;
}

.blog-user p {
    font-size: 16px;
    line-height: normal;
    font-weight: 500;
    margin: 0 0 5px;
    color: #1c1c1c;
}

.blog-user span {
    display: block;
    font-size: 14px;
    font-weight: 500;
    color: #66768C;
}

.blog-user--buttons {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.blog-info {
    color: #1c1c1c;
    font-weight: 500;
    font-size: 14px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.blog-info > div {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    border-radius: 16px;
    background: #fff;
    padding: 16px 14px;
    box-shadow: 0 1px 4px rgba(0, 0, 0, 0.1);
    gap: 14px 10px;
}

.blog-info > div:first-of-type {
    padding: 18px;
    flex-direction: row;
    align-items: center;
}

.blog-info > div:nth-child(2) {
    padding: 6px 6px 6px 14px;
    flex-direction: row;
    align-items: center;
}

.blog-info > div:first-of-type > div {
    display: flex;
    flex-direction: column;
    line-height: 14px;
    gap: 5px;
}

.blog-info > div span {
    display: block;
    font-size: 18px;
    line-height: 18px;
}

.blog-info ul {
    list-style: none;
    padding: 0;
    display: flex;
    flex-direction: column;
    gap: 5px;
    margin: 0;
    width: 100%;
    cursor: pointer;
}

.blog-info ul li {
    display: flex;
    align-items: center;
    gap: 10px;
    background-color: #F0F3F7;
    border-radius: 12px;
    padding: 6px 12px 6px 6px;
}

.blog-info ul li svg {
    width: 22px;
    height: 22px;
    border-radius: 12px;
    overflow: hidden;
}

.blog-info ul li span {
    margin-left: auto;
    font-size: 13px;
    font-weight: 500;
    color: #909090;
}

.blog-info ol {
    list-style: none;
    padding: 0;
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
    margin: 14px 0 0;
}

.blog-info ol li {
    padding: 0 8px;
    height: 32px;
    background: #F0F3F7;
    border-radius: 10px;
    display: flex;
    align-items: center;
}

.blog-info p {
    margin: 0;
    font-weight: 600;
    font-size: 14px;
    line-height: normal;
}

.blog-info p svg {
    height: 17px;
    position: relative;
    top: -1px;
}

.blog-rating {

    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 9px;
    gap: 4px;
    color: #FF7528;
    height: 32px;
    background: rgba(195, 101, 48, 0.08);
    border-radius: 10px;
}

.article-user {
    display: flex;
    gap: 12px;
    margin: 0 0 1em;
    align-items: center;
}

.article-user > div:first-child {
    width: 46px;
    max-width: 46px;
    min-width: 46px;
    height: 46px;
    min-height: 46px;
    max-height: 46px;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 21px;
    font-weight: 500;
    border-radius: 12px;
    overflow: hidden;
    color: #fff;
    background-color: #2E8CFF;
}

.article-user > div:first-child.image {
    color: transparent;
    font-size: 0;
}

.screen-article .text .article-user h2,
.article-user p {
    color: #1c1c1c;
    font-size: 18px;
    font-weight: 500;
    margin: 0;
    line-height: normal;
}

.article-user span {
    color: #1c1c1c;
    font-size: 13px;
    font-weight: 500;
}

.codex-editor .cdx-list__item {
    padding: 0;
}

.codex-editor .cdx-list {
    padding-left: 2rem;
}

.codex-editor .ce-paragraph {
    /*padding: 0;*/
}

.codex-editor .image-tool__image {
    margin: 0;
}

.ce-toolbar__actions {
    flex-direction: column-reverse;
    align-items: center;
}

.ce-toolbar__settings-btn {
    margin-left: 0;
}

.article-controls {
    display: flex;
    gap: 5px;
    margin-left: auto;
    align-items: center;
    justify-content: center;
}

.article-controls button {
    background: #F3F3F3;
    border: 1px solid #F3F3F3;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 20px;
    height: 32px;
    padding: 0 12px;
}

.article-controls svg {
    stroke: #1c1c1c;
    max-width: 22px;
    width: 22px;
}

.article-controls button.active {
    background-color: #448BE230;
    border-style: hidden;
}

.article-controls button.active svg {
    stroke: #448BE2;
}

.new-article-form {
    display: flex;
    border-radius: 22px;
    background-color: #fff;
    margin-bottom: 1em;
    gap: 10px;
    align-items: center;
    padding-right: 10px;
}

.new-article-form input[type=text] {
    width: 100%;
    border: 0;
    background-color: transparent;
    padding: 0;
    line-height: 56px;
    outline: none;
    font-weight: 500;
}

.new-article-form .avatar {
    width: 34px;
    max-width: 34px;
    min-width: 34px;
    height: 34px;
    min-height: 34px;
    max-height: 34px;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 21px;
    font-weight: 500;
    border-radius: 12px;
    overflow: hidden;
    color: #2E8CFF;
    background-color: #fff;
    margin-left: 10px;
}

.new-article-form .avatar.image {
    color: transparent;
    font-size: 0;
}

.upload-btn {
    background-color: #F3F3F3;
    border-radius: 12px;
    border: 0;
    outline: none;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 38px;
    min-width: 40px;
    min-height: 38px;
}

.upload-btn svg {
    stroke: #111111;
}

.context-menu {
    position: absolute;
    z-index: 1000;
    display: flex;
    flex-direction: column;
    background: #fff;
    border-radius: 10px;
    overflow: hidden;
    border: 1px solid #00000014;
    box-shadow: 0px 4px 28px 0px #00000014, 0px -1px 2px 0px #00000008;
    padding: 0 12px;
    visibility: hidden;
    pointer-events: none;
    right: 0;
    top: 100%;
    margin-top: 10px;
}

.context-menu.visible {
    visibility: visible;
    pointer-events: all;
}

.context-menu > button {
    display: flex;
    align-items: center;
    gap: 8px;
    border: 0;
    border-bottom: 1px solid #A1A1A138;
    background: transparent;
    outline: none;
    padding: 12px 8px;
    color: #1C1C1C;
    font-size: 13px;
    font-weight: 500;
    cursor: pointer;
    white-space: nowrap;
}

.context-menu > button svg {
    stroke: #818181;
    width: 16px;
    height: 16px;
}

.context-menu > button:disabled {
    opacity: .5;
}

.context-menu-button {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 32px;
    background: #F3F3F3;
    border-radius: 20px;
    border: 0;
    outline: none;
}

.subjects-modal-list {
    display: flex;
    list-style: none;
    padding: 0;
    margin: 0 20px 20px 0;
    gap: 10px;
    flex-wrap: wrap;
}

.subjects-modal-list li {
    cursor: pointer;
    display: flex;
    align-items: center;
    border-radius: 12px;
    padding: 6px 8px 6px 6px;
    background-color: #F0F3F7;
}

.subjects-modal-list li svg {
    width: 34px;
    height: 34px;
    min-height: 34px;
    min-width: 34px;
    border-radius: 8px;
}

.subjects-modal-list li.active {
    gap: 10px;
}

.subjects-modal-list li span {
    font-size: 13px;
    font-weight: 600;
    width: 0;
    overflow: hidden;
}

.subjects-modal-list li.active span {
    width: 100%;
    transition: width ease .5s;
}

.subjects-modal-tab {
    font-size: 13px;
    font-weight: 500;
}

.article-share {

}

.article-share .dropdown-menu {
    background: #FFFFFF;
    box-shadow: 0 15px 76px rgba(0, 0, 0, 0.05), 0 7px 37px rgba(0, 0, 0, 0.0344377), 0 5px 22px rgba(0, 0, 0, 0.026491), 0 3px 13px rgba(0, 0, 0, 0.0302), 0 2px 7px rgba(0, 0, 0, 0.0245), 0 1px 3px rgba(0, 0, 0, 0.0188);
    border-radius: 18px;
    border: 0;
    overflow: hidden;
}

.article-share .dropdown-menu.show {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.article-share .dropdown-menu li {
    width: 100%;
}

.article-share .dropdown-menu li a {
    font-weight: 500;
    font-size: 14px;
    line-height: 16px;
    color: #1C1C1C;
    text-decoration: none;
    padding: 8px 16px;
    display: flex;
    align-items: center;
    gap: 10px;
    border: 0;
}

.article-share .dropdown-menu li a:hover {
    background-color: #F0F3F7;
}

.modal {
    --bs-modal-border-radius: 18px;
}

math-field {
    outline: none;
    border: 0;
    width: 100%;
    margin: 0 0 1rem;
}

math-field:not([read-only]):hover {
    background: #fffff0;
}

.ce-block__content math-field {
    margin: 0;
}

math-field::part(virtual-keyboard-toggle) {
    display: flex;
    opacity: 0;
}

math-field:hover::part(virtual-keyboard-toggle) {
    opacity: 1;
}

math-field[read-only]::part(virtual-keyboard-toggle) {
    display: none;
}

.image-tool--caption {
    padding-bottom: 0 !important;
}

.cdx-attaches {
    --color-line: #EFF0F1;
    --color-bg: #fff;
    --color-bg-secondary: #F8F8F8;
    --color-bg-secondary--hover: #f2f2f2;
    --color-text-secondary: #707684
}

.cdx-attaches--with-file {
    display: flex;
    align-items: center;
    padding: 10px 12px;
    border: 1px solid var(--color-line);
    border-radius: 7px;
    background: var(--color-bg)
}

.cdx-attaches--with-file .cdx-attaches__file-info {
    display: grid;
    grid-gap: 4px;
    max-width: calc(100% - 80px);
    margin: auto 0;
    flex-grow: 2
}

.cdx-attaches--with-file .cdx-attaches__download-button {
    display: flex;
    align-items: center;
    background: var(--color-bg-secondary);
    padding: 6px;
    border-radius: 6px;
    margin: auto 0 auto auto;
    color: inherit
}

.cdx-attaches--with-file .cdx-attaches__download-button:hover {
    background: var(--color-bg-secondary--hover)
}

.cdx-attaches--with-file .cdx-attaches__download-button svg {
    width: 20px;
    height: 20px;
    fill: none
}

.cdx-attaches--with-file .cdx-attaches__file-icon {
    position: relative
}

.cdx-attaches--with-file .cdx-attaches__file-icon-background {
    background-color: #333;
    width: 27px;
    height: 30px;
    margin-right: 12px;
    border-radius: 8px;
    display: flex;
    align-items: center;
    justify-content: center
}

@supports (-webkit-mask-box-image: url("/")) {
    .cdx-attaches--with-file .cdx-attaches__file-icon-background {
        border-radius: 0;
        -webkit-mask-box-image: url("data:image/svg+xml,%3Csvg width='24' height='24' viewBox='0 0 24 24' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M0 10.3872C0 1.83334 1.83334 0 10.3872 0H13.6128C22.1667 0 24 1.83334 24 10.3872V13.6128C24 22.1667 22.1667 24 13.6128 24H10.3872C1.83334 24 0 22.1667 0 13.6128V10.3872Z' fill='black'/%3E%3C/svg%3E%0A") 48% 41% 37.9% 53.3%
    }
}

.cdx-attaches--with-file .cdx-attaches__file-icon-label {
    position: absolute;
    left: 3px;
    top: 11px;
    background: inherit;
    text-transform: uppercase;
    line-height: 1em;
    color: #fff;
    padding: 1px 2px;
    border-radius: 3px;
    font-size: 10px;
    font-weight: 700;
    font-family: ui-monospace, SFMono-Regular, SF Mono, Menlo, Consolas, Liberation Mono, monospace;
    letter-spacing: .02em
}

.cdx-attaches--with-file .cdx-attaches__file-icon svg {
    width: 20px;
    height: 20px
}

.cdx-attaches--with-file .cdx-attaches__file-icon path {
    stroke: #fff
}

.cdx-attaches--with-file .cdx-attaches__size {
    color: var(--color-text-secondary);
    font-size: 12px;
    line-height: 1em
}

.cdx-attaches--with-file .cdx-attaches__size:after {
    content: attr(data-size);
    margin-left: .2em
}

.cdx-attaches--with-file .cdx-attaches__title {
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    outline: none;
    max-width: 90%;
    font-size: 14px;
    font-weight: 500;
    line-height: 1em
}

.cdx-attaches--with-file .cdx-attaches__title:empty:before {
    content: attr(data-placeholder);
    color: #7b7e89
}

.cdx-attaches--loading .cdx-attaches__title, .cdx-attaches--loading .cdx-attaches__file-icon, .cdx-attaches--loading .cdx-attaches__size, .cdx-attaches--loading .cdx-attaches__download-button, .cdx-attaches--loading .cdx-attaches__button {
    opacity: 0;
    font-size: 0
}

.cdx-attaches__button {
    display: flex;
    align-items: center;
    justify-content: center;
    color: #000;
    border-radius: 7px;
    font-weight: 500
}

.cdx-attaches__button svg {
    margin-top: 0
}

.screen-article .cdx-attaches--with-file .cdx-attaches__download-button {
    font-size: 14px;
    font-weight: 500;
    background: transparent;
    border-bottom: 1px solid transparent;
    color: #448BE2;
    line-height: normal;
    padding: 0;
    border-radius: 0;
}

.screen-article .cdx-attaches--with-file .cdx-attaches__download-button:hover {
    border: 0;
    background: transparent;
    border-bottom: 1px solid;
}

.screen-article .cdx-attaches__download-button svg {
    display: none;
}

.screen-article .cdx-attaches__download-button:before {
    content: 'Скачать';
}

.cdx-notify {
    color: #333;
}

.blog-info-container--toggle {
    display: none;
}

.breadcrumb-item.active {
    color: #fff;
    font-weight: 500;
    max-width: 300px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.breadcrumb-item + .breadcrumb-item::before {
    color: #fff;
    content: '⟶';
}

.breadcrumb a {
    text-decoration: none;
    color: #fff;
    position: relative;
}

.breadcrumb a:before {
    content: '';
    height: 1px;
    background-color: #fff;
    left: 50%;
    right: 50%;
    bottom: 0;
    position: absolute;
    transition: left ease .3s, right ease .3s;
}

.breadcrumb a:hover:before {
    left: 0;
    right: 0;
}

@media (max-width: 1199px) {

    .screen-article {
        margin: 0 auto;
        width: 100%;
        max-width: 730px;
    }

    .blog {
        margin: 0 20px;
        flex-direction: column;
        gap: 0;
    }

    header {
        margin: 0 20px;
    }

    .blog aside {
        width: 100%;
        max-width: 730px;
        margin: 0 auto;
    }

    .blog aside > div {
        position: static;
        display: flex;
        flex-direction: column;
        gap: 1em;
    }

    .blog-user > div {
        flex-direction: row;
    }

    .blog-info-container {
        display: none;
    }

    .blog-info-container--toggle {
        display: flex;
    }

    .blog-info ul {
        flex-direction: row;
        flex-wrap: wrap;
        gap: 20px;
    }

    .blog-info-container {
        width: 100%;
    }

    .blog-info > div:nth-child(odd) {
        flex: 1;
    }

    .blog-info > div:last-of-type {
        width: 100%;
        display: none;
    }
}

@media (max-width: 1023px) {

    .request.active {
        width: 90%;
    }

    .screen {
        max-width: 90%;
    }

    .screen-first > div {
        margin: 0 auto;
    }

    header {
        justify-content: space-between;
        max-width: 90%;
        gap: 20px;
    }

    .screen-first {
        margin-top: 0;
    }

    header ul {
        justify-content: right;
    }

    .blog {
        gap: 20px;
        margin: 0 20px;
    }

    .screen-article:not(.screen-article--index) {
        max-width: 730px;
        width: 100%;
    }

}

@media (max-width: 899px) {

    .blog aside > div > div:first-of-type {
        max-width: none;
    }

    .blog-info {
        gap: 10px;
    }

    .blog aside > div > div {
        margin: 0;
    }

}

@media (max-width: 767px) {

    .screen-first > div {
        display: flex;
        flex-direction: column;
    }

    .screen-first > p small {
        font-size: 44px;
        margin-bottom: 1rem;
    }

    .screen-first > p,
    header ul li a,
    .screen-first--rating {
        font-size: 16px;
    }

    .screen-first--rating {
        height: 38px;
    }

    .screen-first {
        margin-bottom: 1rem;
    }

    #logo img + img {
        display: none;
    }

    .request-wrapper {
        padding: 0 10px;
    }

    .request.active {
        width: 100%;
        padding: 0 10px;
        border-radius: 20px;
    }

    .request-panel {
        gap: 10px;
    }

    .request-panel--avatar {
        min-width: 40px;
        width: 40px;
        height: 40px;
    }

    .request-panel--name h1 {
        white-space: normal;
        font-size: 16px;
        line-height: normal;
    }

    .request-panel--name p {
        white-space: normal;
    }

    .request-panel p {
        font-size: 12px;
    }

    .btn {
        font-size: 12px;
        height: 32px;
    }

    .request-panel--button button span {
        display: none;
    }

    .request-panel--button button span + span {
        display: block;
    }

    .back-link span {
        display: none;
    }

    .site-board .header-board {
        padding: 0 10px;
        height: 40px;
    }

    .board-name-input {
        max-width: 100px;
        overflow: hidden;
        text-overflow: ellipsis;
        font-size: 11px;
    }

    .profile-button-photo {
        width: 20px;
        height: 20px;
        font-size: 10px;
    }

    .button-transparent svg {
        width: 16px;
    }

    h2 {
        font-size: 24px;
        padding-left: 5px;
    }

    .text-title h3 {
        font-size: 18px;
    }

    .text ul li {
        font-size: 13px;
        height: 28px;
    }

    .screen-subjects {
        margin-top: 2em;
    }

    .text {
        padding: 5px;
        border-radius: 24px;
    }

    .text > div {
        padding: 1rem;
        font-size: 16px;
        border-radius: 20px;
    }


    .text--white,
    .text--white > div {
        border-bottom-left-radius: 0;
        border-bottom-right-radius: 0;
        padding-bottom: 0;
    }

    .text--gray,
    .text--gray > div {
        border-top-left-radius: 0;
        border-top-right-radius: 0;
        padding-top: 0;
    }

    .text--white > div {
        padding-bottom: 15px;
    }

    .text--gray > div {
        padding-top: 15px;
    }

    .text-list-items:last-of-type {
        margin-bottom: 2px;
    }

    .screen {
        max-width: none;
        padding: 0 20px;
    }

    .screen-about {
        margin-bottom: 2em;
        margin-top: 2em;
    }

    .text > div.transparent {
        font-size: 16px;
    }

    .features {
        grid-template-columns: 1fr 1fr;
    }

    .screen-board {
        margin-bottom: 2em;
        margin-top: 2em;
    }

    .screen-reviews h3 {
        font-size: 18px;
    }

    .screen-reviews {
        margin-bottom: 1em;
    }

    .screen-first > p {
        padding: 0 10px;
    }

    .document-item-image {
        margin: 0;
        width: 100%;
    }

    .document-item-image a {
        display: none;
    }

    .document-item {
        flex-direction: column;
        gap: .5em;
        margin: 0 0 .5em;
    }

    .document-item .empty {
        display: none;
    }

    .certificates-title span {
        display: none;
    }

    .teacher-chat-submit {
        flex-direction: column-reverse;
    }

    .teacher-chat--btn {
        width: 100%;
    }

    .new-modal--request .modal-dialog {
        margin: 0;
    }

    .new-modal--request .modal-content {
        border-radius: 0;
        min-height: 100vh;
    }

    .teacher-chat--photo {
        display: none;
    }

    .teacher-chat {
        margin: 0;
    }

    .new-modal.new-modal--request .modal-header {
        right: -5px;
        top: -5px;
        position: fixed;
    }

    .teacher-chat {
        min-height: calc(100vh - 3em);
    }

    .chat-users {
        margin-top: -20px;
    }

    .chat-button,
    .chat-users {
        zoom: .75;
    }

    .audio-users {
        display: none;
    }

    .request-panel--name span {
        display: none;
    }

    .request-panel--name span + span {
        display: inline;
    }

    .screen-article:not(.screen-article--index) {
        padding: 0;
    }

    .new-article-form {
        flex-wrap: wrap;
        padding: 15px 20px;
    }

    .new-article-form .avatar {
        display: none;
    }

    .new-article-form input[type=text] {
        line-height: normal;
        font-size: 14px;
        margin: 0 0 5px;
    }

    .new-article-form :last-child {
        flex: 1
    }

    .blog-info > div:nth-child(2) {
        flex: 1;
    }

    .article-user {
        flex-wrap: wrap;
    }

    .article-user > div {
        order: 2;
        width: 100%;
    }

    .article-user > div:first-child,
    .article-user > div:last-child {
        order: 1;
        width: auto;
    }

    .blog-user > div.blog-user--buttons {
        flex-direction: column;
    }

}

@media (max-width: 479px) {

    .chat-button,
    .chat-users {
        zoom: .5;
    }

}

@media (max-width: 359px) {
    header {
        max-width: none;
        gap: 10px;
        height: auto;
        margin: 20px 10px;
    }

    header ul li a {
        font-size: 13px;
    }
}